> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/data-center-port/describeportusablevlan.md).

# DescribePortUsableVlan

## 1. 接口描述

本接口(DescribePortUsableVlan)用于查询端口可用vlan。

{% hint style="info" %}
**注意事项**

* 数据中心端口或数据中心必传一个。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型     | 描述                                                                                                                                             |
| ------ | -- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| portId | 否  | String | <p>数据中心端口 ID。</p><p>数据中心端口或数据中心至少传一个。</p>                                                                                                      |
| dcId   | 否  | String | <p>数据中心ID。</p><p>可通过 <a href="/api-reference/cn/sdn/location/describedatacenters.md">DescribeDataCenters</a> 接口获取。</p><p>数据中心端口或数据中心至少传一个。</p> |

## 3. 响应结果

| 参数名称          | 类型               | 描述                                                       |
| ------------- | ---------------- | -------------------------------------------------------- |
| requestId     | String           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| start         | Integer          | VLAN 范围起始值。                                              |
| end           | Integer          | VLAN 范围结束值。                                              |
| inuseVlanList | Array of Integer | 占用中的 VLAN 列表。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePortUsableVlan
<Common Request Params>

Request: {
  "portId": "your-port-id"
}

Response: {
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "start": 1,
    "end": 4000,
    "inuseVlanList":[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 3999, 4000]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                           | 说明                         |
| ------- | ----------------------------- | -------------------------- |
| 400     | INVALID\_PORT\_OR\_DATACENTER | `portId` 与 `dcId` 至少需要传一个。 |
